Bug Hunting Session
Bug 101293 - Bad marker icons in Galaxy and Highcontrast theme
Summary: Bad marker icons in Galaxy and Highcontrast theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: High-Contrast Icon-Theme-Galaxy
  Show dependency treegraph
 
Reported: 2016-08-04 13:47 UTC by Regina Henschel
Modified: 2018-07-04 16:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Galaxy, case working in gluepoint edit mode (875 bytes, image/png)
2016-08-04 13:47 UTC, Regina Henschel
Details
Tango, in gluepoint edit mode (1.02 KB, image/png)
2016-08-04 13:47 UTC, Regina Henschel
Details
Galaxy, in connector attach mode (2.56 KB, image/png)
2016-08-04 13:48 UTC, Regina Henschel
Details
Tango, in connector attach mode (6.63 KB, image/png)
2016-08-04 13:48 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-08-04 13:47:04 UTC
Created attachment 126576 [details]
Galaxy, case working in gluepoint edit mode

The file markers.png in /core/icon-themes/galaxy/svx/res/markers.png and /core/icon-themes/hicontrast/svx/res/markers.png have not been adapted to the new way of fetching the markers for gluepoints. The normal marker should be at position 16|68 to 22|74 and the version for selected marker should be at position 16|77 to 22|82. These areas have to be adapted. You see the difference immediately, if you look at the bottom left side of the files.

The attached files show the effect in the UI.
Comment 1 Regina Henschel 2016-08-04 13:47:34 UTC
Created attachment 126577 [details]
Tango, in gluepoint edit mode
Comment 2 Regina Henschel 2016-08-04 13:48:09 UTC
Created attachment 126578 [details]
Galaxy, in connector attach mode
Comment 3 Regina Henschel 2016-08-04 13:48:41 UTC
Created attachment 126579 [details]
Tango, in connector attach mode
Comment 4 Regina Henschel 2016-08-04 13:50:59 UTC
(In reply to Regina Henschel from comment #0)
> You see the
> difference immediately, if you look at the bottom left side of the files.
> 
difference to /core/icon-themes/tango/svx/res/markers.png
Comment 5 Yousuf Philips (jay) (retired) 2016-08-07 15:58:25 UTC
Confirmed. It is a regression that started in the 4.2 branch.

Version: 5.3.0.0.alpha0+
Build ID: 07966a9999b0b3f27e1adeea1f4c97b3ba2944fa
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-05_23:22:09
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Xisco Faulí 2016-09-12 12:20:56 UTC
Adding keyword 'bibisectRequest'.
Comment 7 Regina Henschel 2017-02-12 23:06:19 UTC
It is fixed for Galaxy by Tomaž Vajngerl with commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=9b71cb737174c4a3eb9a1bcdbc5424cf34d6e6a6


In future the markers will be stored in independent, single icons, see commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=681c2c3f59863d1f2d0123a92ee63baf84e18dfc
Comment 8 Buovjaga 2018-07-04 16:18:32 UTC
(In reply to Regina Henschel from comment #7)
> It is fixed for Galaxy by Tomaž Vajngerl with commit
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=9b71cb737174c4a3eb9a1bcdbc5424cf34d6e6a6
> 
> 
> In future the markers will be stored in independent, single icons, see
> commit
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=681c2c3f59863d1f2d0123a92ee63baf84e18dfc

Then let's close as fixed. Galaxy is now removed and Sifr replaced highcontrast and I tested Colibre & Sifr and everything seems good.